libzypp 17.37.10

kvmap.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <vector>`
`#include <map>`
`#include <zypp/base/String.h>`

Go to the source code of this file.

## Classes
struct | zypp::kvmap::KVMapPolicy
| KVMapPolicy for conversion of KVMaps to/from string. More...
struct | zypp::kvmap::KVMapBase
| Base class for KVMaps, (key,value) pairs. More...
struct | zypp::kvmap::KVMapBase::CharSep< kv, f >
| KVMapPolicy for KVMaps using a single char as separator (e.g. More...
struct | zypp::KVMap< KVMapOpts >
| A map of (key,value) strings. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::kvmap

## Functions
template<typename KVMapOpts>
std::ostream & | zypp::operator<< (std::ostream &str, const KVMap< KVMapOpts > &obj)